/* Apply css to larger then 10124 px screen */
@media (min-width: 1025px) {
    .rtmega-menu-area .desktop-menu-area ul.rtmega-megamenu .menu-item-has-children .sub-menu.rtmegamenu-contents {
        transform: scaleX(0) !important;
        transform-origin: left !important;
        opacity: 0 !important;
        visibility: hidden !important;
        right: auto;
        width: auto;
        transition: transform 0.4s ease-in-out, opacity 0.3s ease-in-out, visibility 0.4s !important;
    }

    .rtmega-menu-area .desktop-menu-area ul.rtmega-megamenu .menu-item-has-children .sub-menu.rtmegamenu-contents>div>div {
        --width: auto !important;
        max-width: 1100px;
        min-width: 750px;
    }

    /* Update your existing hover selector */
    .rtmega-menu-area .desktop-menu-area ul.rtmega-megamenu .menu-item-has-children:hover>.sub-menu.rtmegamenu-contents {
        transform: scaleX(1) !important;
        opacity: 1 !important;
        visibility: visible !important;
    }

    /* This forces the submenu to respect the hover-out immediately */
    .rtmega-menu-area .desktop-menu-area ul.rtmega-megamenu .menu-item-has-children:not(:hover)>.sub-menu.rtmegamenu-contents {
        /* transform: scaleX(0) !important;
        opacity: 0 !important;
        visibility: hidden !important;
        transition-delay: 0.1s; */
        /* Gives a tiny buffer for user error */
    }

    #menu-rt-mega-menu-desktop .button-link .elementor-button-link {
        padding-left: 0;
    }

    #menu-rt-mega-menu-desktop .sub-menu.submenu {
        box-shadow: none;
        background-color: transparent;
        left: -70px;

        margin-top: 20px;
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-heading {
        padding-top: 110px;
        padding-left: 75px;
        border-right: 2px solid #1DA5F4;
        background-color: #fff;
        padding-right: 75px;
        border-top: 1px solid #BAC0CC80;
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-content {
        height: calc(100vh - 62px);
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-content .e-con-full.e-flex.e-con.e-active {
        border-top: 1px solid #BAC0CC80;
        border-right: 1px solid #BAC0CC80;
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-content>.elementor-element.e-con-full.e-flex.e-con.e-child {
        overflow: auto;
        background-color: #F1F4FA;
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-content .height-auto {
        height: auto;
        min-height: auto;
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-heading .e-n-tab-title {
        position: relative;
    }

    #menu-rt-mega-menu-desktop .megamenu-icon-no-border {
        min-width: 60px;
    }

    #menu-rt-mega-menu-desktop .megamenu-icon-no-border img {
        border-color: transparent;
    }

    /* Hide all tab content by default */
    #menu-rt-mega-menu-desktop .elementor-tabs-content-wrapper .elementor-tab-content {
        display: none !important;
    }

    /* Show content only when the active class is present */
    #menu-rt-mega-menu-desktop .elementor-tabs-content-wrapper .elementor-tab-content.elementor-active {
        display: block !important;
    }

    #menu-rt-mega-menu-desktop .e-n-tabs-heading .e-n-tab-title:after {
        content: '';
        position: absolute;
        background-image: url('../images/mega-menu-right-arrow.svg');
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center;
        width: 8px;
        height: 16px;
        right: 20px;
        top: 16px;
    }
}

/* Apply css for mobile mnenu */
@media (max-width: 1024px) {
    .rtmega-menu-area .mobile-menu-area .rtmega-menu-mobile-sidebar {
        padding: 46px 10px 50px 10px;
    }

    .rtmega-menu-area ul.rtmega-megamenu ul.sub-menu .menu-item .menu-link {
        padding: 12px 15px 12px 15px;
    }
}